MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002104VCMIGUI - Adventure Mappublic2015-02-20 12:432016-11-11 08:22
ReporterWarmonger 
Assigned ToFay 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target Version0.97cFixed in Version0.97c 
Summary0002104: Crash at AI attacking neutral monsters
DescriptionLooks as a problem with blitting after fading was added.

Crash occurs in CMapHandler::compareObjectBlitOrder function.
Steps To ReproduceLaunch any map, use vcmieagles watch AI attacking neutrals.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002105closedWarmonger Adventure map objects turn black before fading. 

-  Notes
(0005553)
Fay (developer)
2015-02-20 20:48

Okaaay, I see why it happens. I'll probably fix it today.
Curiously, it doesn't happen for me when debugging is on, so that might be why I didn't catch it.
(0005556)
Fay (developer)
2015-02-20 22:26
edited on: 2015-02-20 22:26

Added pull request: https://github.com/vcmi/vcmi/pull/92 [^]

I've just tested an XL map with around 6 players for 3 weeks on autoskip and nothing broke. So I believe it should work correctly now.


- Issue History
Date Modified Username Field Change
2015-02-20 12:43 Warmonger New Issue
2015-02-20 12:46 Warmonger Relationship added related to 0002105
2015-02-20 20:48 Fay Note Added: 0005553
2015-02-20 20:48 Fay Assigned To => Fay
2015-02-20 20:48 Fay Status new => assigned
2015-02-20 22:26 Fay Note Added: 0005556
2015-02-20 22:26 Fay Note Edited: 0005556 View Revisions
2015-02-21 09:40 Fay Status assigned => resolved
2015-02-21 09:40 Fay Resolution open => fixed
2015-02-21 09:40 Fay Fixed in Version => 0.97c
2016-11-11 08:22 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean